package org.cesg.utilidades;

/**
 * StringUtil.java<br/>
 * Contiene métodos utilitarios para {@link java.lang.String String}
 * 
 * @author cesg
 * @version 27.06.2012
 */
public class StringUtil {

    /**
     * Permite saber si una cadena {@link java.lang.String String} es nula o
     * esta vacia.
     * 
     * @param target
     *            cadena a analizar.
     * @return <b>true</b> si es nula o vacia, de lo contrario <b>false</b>
     */
    public static boolean isNullOrEmpty ( String target) {
        boolean isNullOrEmpty = false;
        if ( Verifica.isNull(target) ) {
            isNullOrEmpty = true;
        }
        else if ( target.length() <= 0 ) {
            isNullOrEmpty = true;
        }
        return isNullOrEmpty;
    }

    /**
     * Permite saber si una cadena {@link java.lang.String String} no es nula o
     * no esta vacia.
     * 
     * @param target
     *            cadena a analizar.
     * @return <b>true</b> si no es nula o vacia, de lo contrario <b>false</b>
     */
    public static boolean isNotNullOrEmpty ( String target) {
        boolean isNotNullOrEmpty = true;
        if ( isNullOrEmpty(target) ) {
            isNotNullOrEmpty = false;
        }
        return isNotNullOrEmpty;
    }

    /**
     * Permite concadenetear una serie de cadenas {@link java.lang.String
     * String} en un solo String.
     * 
     * @param strings
     *            Strings a concadenetear.
     * @return cadena formada.
     */
    public static String multiConcat ( String... strings) {
        StringBuilder constructor = new StringBuilder();
        for ( String string : strings) {
            constructor.append(string);
        }
        return constructor.toString();
    }
}
