package org.cesg.utilidades;

/**
 * Verifica.java<br/>
 * Contiene metodos para determinar condiciones comunmente utilizadas.
 * 
 * @author Kristian
 * @version 04.06.2012
 */
public final class Verifica {

    /**
     * Constructor privado.
     */
    private Verifica () {
    }

    /**
     * Verifica si un {@link java.lang.Object Objeto} es nulo<br/>
     * Ejemplo de uso:<br/>
     * if ( Verifica.isNull( target) )<br/>
     * throw new AlgunError( " target is null " );
     * 
     * @param target
     *            Objeto a evaluar.
     * @return <b>TRUE</b> si es nulo, si no <b>FALSE</b>
     */
    public static boolean isNull ( final Object target) {
        return target == null;
    }

    /**
     * Verifica si un {@link java.lang.Object Objeto} no es nulo Ejemplo de uso:<br/>
     * if ( Verifica.isNotNull( target) )<br/>
     * HacerAlgo();
     * 
     * @param target
     *            Objeto a evaluar.
     * @return <b>TRUE</b> si no es nulo, si no <b>FALSE</b>
     */
    public static boolean isNotNull ( final Object target) {
        return target != null;
    }
}
