package org.cesg.utilidades.mensajes;

/**
 * ObtenerDato.java<br/>
 * Contiene los metodos para poder consultar a usuario datos<br/>
 * que se requieran.
 * 
 * @author cesg
 * @version 08.06.2012
 */
public interface PreguntaDato {

    /**
     * Obtiene un dato de tipo String desde el usuario.
     * 
     * @param mensaje
     *            mensaje a mostrar.
     * @return Null en el caso que no se logre obtener el dato.
     */
    public String datoString ( String mensaje);

    /**
     * Obtiene un dato de tipo String desde el usuario.
     * 
     * @param mensaje
     *            mensaje a mostrar.
     * @return <b>Null<b/> en el caso que no se logre obtener el dato
     */
    public String datoString ( Object mensaje);

    /**
     * Obtiene un dato de tipo Integer desde el usuario.
     * 
     * @param mensaje
     *            Mensaje a mostrar.
     * @return Número entero ingresado por el usuario, si no <b>NULL</b>
     */
    public Integer datoInteger ( String mensaje);

    /**
     * Obtiene un dato de tipo Integer desde el usuario.
     * 
     * @param mensaje
     *            Mensaje a mostrar.
     * @return Número entero ingresado por el usuario, si no <b>NULL</b>
     */
    public Integer datoInteger ( Object mensaje);

    /**
     * Obtiene un dato de tipo Integer desde el usuario.
     * 
     * @param mensaje
     *            Mensaje a mostrar.
     * @param mensajeError
     *            Mensaje a mostrar en caso de un error.
     * @return Número entero ingresado por el usuario, si no <b>NULL</b>
     */
    public Integer datoInteger ( String mensaje , String mensajeError);

    /**
     * Obtiene un dato de tipo Float desde el usuario.
     * 
     * @param mensaje
     *            Mensaje a mostrar.
     * @return Número Float ingresado por el usuario, si no <b>NULL</b>
     */
    public Float datoFloat ( String mensaje);

    /**
     * Obtiene un dato de tipo Float desde el usuario.
     * 
     * @param mensaje
     *            Mensaje a mostrar.
     * @return Número Float ingresado por el usuario, si no <b>NULL</b>
     */
    public Float datoFloat ( Object mensaje);

    /**
     * Obtiene un dato de tipo Float desde el usuario.
     * 
     * @param mensaje
     *            Mensaje a mostrar.
     * @param mensajeError
     *            Mensaje a mostrar en caso de un error.
     * @return Número Float ingresado por el usuario, si no <b>NULL</b>
     */
    public Float datoFloat ( String mensaje , String mensajeError);
}
