package org.cesg.utilidades.opciones;

import java.io.File;
import java.io.IOException;

/**
 * OpcionesException.java<br/>
 * Extends: {@link java.io.IOException IOException}<br/>
 * Representa una excepcion al utilizar la clase
 * {@link org.cesg.utilidades.opciones.Opciones Opciones}
 * 
 * @author cesg
 * 
 */
public class OpcionesException extends IOException {

    private static final long serialVersionUID = 1532L;

    private final String mensaje;

    /**
     * Constructor base.
     * 
     * @param mensaje
     *            Mensaje de la causa.
     */
    public OpcionesException ( String mensaje) {
        super(mensaje);
        this.mensaje = mensaje;
    }

    /**
     * Constructor que permite obtener el mensaje de excepcion.
     * 
     * @param mensaje
     *            Mensaje de la causa.
     * @param exception
     *            la excepcion capturada.
     */
    public OpcionesException ( String mensaje , Exception exception) {
        this(mensaje.concat(" : ").concat(exception.getMessage()));
    }

    /**
     * Constuctor que permite mostrar la direccion del archivo con problemas.
     * 
     * @param mensaje
     *            Mensaje de la causa.
     * @param archivo
     *            Archivo con problemas.
     */
    public OpcionesException ( String mensaje , File archivo) {
        this(mensaje.concat(" : ").concat(archivo.getAbsolutePath()));
    }
    public String getMensaje () {
        return mensaje;
    }
}
